Manage orders - Get product promotions

Gets partner's available promotions.

GET https://api.partnercenter.microsoft.com/v{version}/productpromotions?country={country}&segment={segment}

URI Parameters

Name In Required Type Description
version
path True

string

The API version number.

country
query True

string

The country or region code.

segment
query True

string

The segment.

Request Header

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

MS-CV

string

Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Accept True

string

Typically application/json.

Responses

Name Type Description
200 OK

ResourceCollection[Contracts.V1.Models.ProductPromotion]

The request was successful. The response body will contain a list of promotions for the partner.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

400 Bad Request

There was a missing or an invalid input. The response body will provide the error details.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

401 Unauthorized

The request was not authenticated. The client needs to authenticate with the partner API service first.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

403 Forbidden

The request was authenticated but was refused since the caller does not have the rights to invoke it.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

404 Not Found

The resource is not found or not available with the given input parameters.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

500 Internal Server Error

The partner API service or one of its dependencies failed to fulfill the request.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Definitions

Name Description
Contracts.V1.Models.AssetOwnershipLimit

The asset ownership limits for the promotion.

Contracts.V1.Models.EligibilityConstraint

The eligibility constraints for the promotion.

Contracts.V1.Models.ProductOwnershipConstraint

Groups of product ownership constraints for the promotion.

Contracts.V1.Models.ProductPromotion

The collection of items associated with this resource collection.

Contracts.V1.Models.ProductPromotionPricingPolicy

The collection of pricing policies associated with this product promotion required product.

Contracts.V1.Models.ProductPromotionProperties

Additional properties associated with the product promotion.

Contracts.V1.Models.ProductPromotionRequiredProduct

The collection of required products associated with this product promotion.

Contracts.V1.Models.ProductPromotionTerm

Additional term associated with the product promotion required product.

Contracts.V1.Models.PromotionConstraints

The constraints that determine when the promotion applies.

Contracts.V1.Models.SeatConstraint

The seat constraints for the promotion.

Link

Represents a link resource.

ResourceAttributes

Represents a resource attributes resource.

ResourceCollection[Contracts.V1.Models.ProductPromotion]

Represents a resource collection resource.

ResourceLinks

Represents a resource links resource.

StringStringKeyValuePair

Represents a key value pair resource.

Contracts.V1.Models.AssetOwnershipLimit

The asset ownership limits for the promotion.

Name Type Description
maxAssets

integer (int32)

The maximum number of owned assets.

minAssets

integer (int32)

The minimum number of owned assets.

type

string

The asset ownership limit type.

Contracts.V1.Models.EligibilityConstraint

The eligibility constraints for the promotion.

Name Type Description
isApplicable

boolean

Whether the eligibility constraint is applicable.

type

string

The eligibility constraint type.

Contracts.V1.Models.ProductOwnershipConstraint

Groups of product ownership constraints for the promotion.

Name Type Description
bigId

string

The big catalog identifier.

maxSeats

integer (int32)

The optional maximum number of seats.

minSeats

integer (int32)

The optional minimum number of seats.

Contracts.V1.Models.ProductPromotion

The collection of items associated with this resource collection.

Name Type Description
description

string

The description of this item.

endDate

string (date-time)

The end date for this record, in ISO 8601 format. Uses ISO 8601 date-time format.

id

string

Unique identifier for the product promotion. Value is typically a GUID.

name

string

The name of this item.

promotionConstraints

Contracts.V1.Models.PromotionConstraints

The constraints that determine when the promotion applies.

properties

Contracts.V1.Models.ProductPromotionProperties

Additional properties associated with the product promotion.

requiredProducts

Contracts.V1.Models.ProductPromotionRequiredProduct[]

The collection of required products associated with this product promotion.

startDate

string (date-time)

The start date for this record, in ISO 8601 format. Uses ISO 8601 date-time format.

Contracts.V1.Models.ProductPromotionPricingPolicy

The collection of pricing policies associated with this product promotion required product.

Name Type Description
policyType

string

The policy type for the product promotion pricing policy.

value

string

The value for the product promotion pricing policy.

Contracts.V1.Models.ProductPromotionProperties

Additional properties associated with the product promotion.

Name Type Description
isAutoApplicable

boolean

Whether is auto applicable.

Contracts.V1.Models.ProductPromotionRequiredProduct

The collection of required products associated with this product promotion.

Name Type Description
pricingPolicies

Contracts.V1.Models.ProductPromotionPricingPolicy[]

The collection of pricing policies associated with this product promotion required product.

productId

string

The unique identifier of the product. Value is typically a GUID.

skuId

string

The unique identifier of the SKU. Value is typically a GUID.

term

Contracts.V1.Models.ProductPromotionTerm

Additional term associated with the product promotion required product.

Contracts.V1.Models.ProductPromotionTerm

Additional term associated with the product promotion required product.

Name Type Description
billingCycle

string

The billing frequency.

duration

string

The duration for the product promotion term.

Contracts.V1.Models.PromotionConstraints

The constraints that determine when the promotion applies.

Name Type Description
assetOwnershipLimits

Contracts.V1.Models.AssetOwnershipLimit[]

The asset ownership limits for the promotion.

eligibilityConstraints

Contracts.V1.Models.EligibilityConstraint[]

The eligibility constraints for the promotion.

productOwnershipConstraints

Contracts.V1.Models.ProductOwnershipConstraint[]

Groups of product ownership constraints for the promotion.

seatConstraints

Contracts.V1.Models.SeatConstraint[]

The seat constraints for the promotion.

Contracts.V1.Models.SeatConstraint

The seat constraints for the promotion.

Name Type Description
maxSeats

integer (int32)

The maximum number of seats.

minSeats

integer (int32)

The minimum number of seats.

seatIncreaseMultiplier

integer (int32)

The seat increase multiplier.

type

string

The seat constraint type.

Represents a link resource.

Name Type Description
body

string

The body for the link.

headers

StringStringKeyValuePair[]

The collection of headers associated with this link.

method

string

The method for the link.

uri

string

The URI for the related resource.

ResourceAttributes

Represents a resource attributes resource.

Name Type Description
etag

string

The entity tag used for concurrency control.

objectType

string

The object type for the resource attributes.

ResourceCollection[Contracts.V1.Models.ProductPromotion]

Represents a resource collection resource.

Name Type Description
attributes

ResourceAttributes

Additional attributes associated with the resource collection.

items

Contracts.V1.Models.ProductPromotion[]

The collection of items associated with this resource collection.

links

ResourceLinks

Links to related resources.

totalCount

integer (int32)

The total number of items available in the result set.

Represents a resource links resource.

Name Type Description
next

Link

Additional next associated with the resource links.

previous

Link

Additional previous associated with the resource links.

self

Link

Additional self associated with the resource links.

StringStringKeyValuePair

Represents a key value pair resource.

Name Type Description
key

string

The key for the key value pair.

value

string

The value for the key value pair.